searchData={"items":[{"type":"module","title":"TowerTelegram","doc":"Telegram reporter for `Tower` error handler.\n\nIn order to use this reporter you must have a Telegram bot and provide\nyour bot token and the chat ID (group or channel) in which you need to\nreceive the reports.","ref":"TowerTelegram.html"},{"type":"module","title":"Configuration - TowerTelegram","doc":"In your `config/config.exs` file:\n\n```elixir\n# Set the token for the bot to use\nconfig :telegex, token: \" \"\n\n# Set the chat ID in which the bot must post the reports\nconfig :tower_telegram, chat_id:  \n\n# Register the tower reporter\nconfig :tower, :reporters, [TowerTelegram]\n```","ref":"TowerTelegram.html#module-configuration"},{"type":"module","title":"Usage - TowerTelegram","doc":"Once you already have the reporter, it will listen the errors\nof your application as it is explained in [`Tower`] documentation.\n\nIt is also possible to manually fire the reporter, check *Manual\nHandling* section of Tower's documentation.","ref":"TowerTelegram.html#module-usage"},{"type":"module","title":"Test your bot reporter - TowerTelegram","doc":"Once you have `TowerTelegram` configured, you can open `iex` and\ntest it using `Tower.test/0`.","ref":"TowerTelegram.html#module-test-your-bot-reporter"},{"type":"extras","title":"TowerTelegram","doc":"# TowerTelegram\n\n![Hex.pm Version](https://img.shields.io/hexpm/v/tower_telegram) [![Documentation](https://img.shields.io/badge/-Documentation-blueviolet)](https://hexdocs.pm/nx) [![CI](https://github.com/ivanhercaz/tower_telegram/actions/workflows/ci.yml/badge.svg)](https://github.com/ivanhercaz/tower_telegram/actions/workflows/ci.yml)\n\nError tracking and reporting to a Telegram chat (group or channel) using [Tower][tower].\n\nIt is a work-in-progress heavily inspired in the already existing [`TowerEmail`][tower-email] structure, but using Telegram and [`telegex`][telegex].","ref":"readme.html"},{"type":"extras","title":"Requirements - TowerTelegram","doc":"In order to use this reporter you must have a Telegram bot and provide your bot token and the chat ID (group or channel) in which you need to receive the reports.\n\nIf you don't have or you don't know how to create a Telegram bot, first check [*How Do I Create a Bot*](https://core.telegram.org/bots#how-do-i-create-a-bot) Telegram's page.","ref":"readme.html#requirements"},{"type":"extras","title":"Configuration - TowerTelegram","doc":"This reporter uses `Telegex` for the communication with the bot. In order to use a Telegram bot, it is necessary\nto specify the bot token for `Telegex`:\n\n```elixir\nconfig :telegex, token: \" \"\n```\n\nIn addition you must specify your preferred adapter for the HTTP client. At the moment of writting this, Telegex\nsupports `Finch` (recommended) and `HTTPoison`:\n\n```elixir\n# With Finch\nconfig :telegex, caller_adapter: Finch\n\n# With HTTPoison\nconfig :telegex, caller_adapter: HTTPoison\n```\n\nCheck [Telegex's Configuration section][telegex-config] for more options and information.\n\nYou must also add the `chat_id` in which you want to receive the reports:\n\n```elixir\nconfig :tower_telegram, chat_id:  \n```\n\nFinally, you must register the reporter in `tower` reporters list:\n\n```elixir\nconfig :tower, :reporters, [TowerTelegram]\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Note - TowerTelegram","doc":"If you are interested in use TowerTelegram but with another Telegram packages, please, first read [this issue][tower-telegram-packages] and then feel free to open a new one requesting! Or even a pull request implementing the one you desire.","ref":"readme.html#note"},{"type":"extras","title":"Usage - TowerTelegram","doc":"Once you already have the reporter, it will listen the errors\nof your application as it is explained in [`Tower` documentation][tower-docs].\n\nIt is also possible to manually fire the reporter, check *Manual\nHandling* section of Tower's documentation.","ref":"readme.html#usage"},{"type":"extras","title":"Test your bot reporter - TowerTelegram","doc":"Once you have `TowerTelegram` configured, you can open `iex` and\ntest it using `Tower.test/0`.\n\n[telegex]: https://github.com/telegex/telegex\n\n[telegex-config]: https://github.com/telegex/telegex#configuration\n\n[tower]: https://github.com/mimiquate/tower\n\n[tower-docs]: https://hexdocs.pm/tower\n\n[tower-email]: https://github.com/mimiquate/tower_email\n\n[tower-telegram-packages]: https://github.com/ivanhercaz/tower_telegram/issues/2","ref":"readme.html#test-your-bot-reporter"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}